INSTALL=	install

all: joos D-Java/D-Java clean

joos: 
	cd A- && make
	$(INSTALL) -c -m 755 A-/joos Bin/joos.a-
	cd A+ && make
	$(INSTALL) -c -m 755 A+/joos Bin/joos.a+

D-Java/D-Java:
	cd D-Java && make
	$(INSTALL) -c -m 755 D-Java/D-Java Bin/

clean:
	cd A+ && make clean
	cd A- && make clean
	cd D-Java && make clean
